FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
ADD . /src
WORKDIR /src
RUN dotnet publish -c Release -o /out

FROM mcr.microsoft.com/dotnet/runtime:8.0
EXPOSE 3252
COPY --from=build /out /out
COPY --from=build /src/wwwroot /out/wwwroot

WORKDIR /out
CMD ["/out/BringTYTDBack"]
RUN chmod +x /out/BringTYTDBack